// variables
  --content-background
  --close-area-background

.closeArea
  position: fixed
  top: 0

  height: 100vh
  width: 100%

  background: var( --close-area-background )

menu
  background: var( --content-background )
  position: absolute

  width: 100%
  max-height: 70vh

  display: flex
  flex-direction: column

  overflow-y: auto

  ul
    flex: 1
    overflow-y: auto

  &.top
    top: 0

  &.bottom
    bottom: 0
